Starmade | Sensor does not compare right values for thrust
Closed, FinishedPublic

Description

The sensor compares the total thrust of the ship with the current speed of the ship, clearly this is not intended as that means you would need to reach c to get a 100% reading from a sensor connected to 299 792 458 thrust.

Details

Commits
Restricted Diffusion Commit
Task Type
Bug
Testing Results
Affected Gamemode(s)
Single and Multi
Reproducible
Yes
Last tested (version)
0.199.358
Category
Logic Gates
First occurrence (version)
0.199.353
Hardware/Software/System
OS-Specific
No
Hardware-Specific
No
Video Card Vendor
uncertain
Steps to reproduce
  1. Build a sensor connected to thrusters.
  2. Compare percentages with speed and thrust value.
Tester information (Internal use only)

See description

Serverconfig (server.cfg)
<replace this line with the file content>
Clientconfig (settings.cfg)
<replace this line with the file content>
Endal created this task.Dec 23 2016, 4:05 AM
Endal edited the task description. (Show Details)
lancake claimed this task.Jan 2 2017, 3:25 PM
lancake moved this task from New / Unconfirmed to Confirmed on the Issue Navigation board.
lancake triaged this task as "Normal" priority.
lancake added a subscriber: lancake.

-validated- & -confirmed-

It uses your total thrust as comparison.

lancake shifted this object from the S1 Public space to the S3 Starmade space.Jan 2 2017, 3:26 PM
lancake changed the visibility from "Custom Policy" to "Public (No Login Required)".
lancake changed the edit policy from "Task Author" to "Starmade (Project)".
lancake edited Tester information (Internal use only). (Show Details)
lancake changed Last tested (version) from 0.199.353 to 0.199.358.
lancake set First occurrence (version) to 0.199.353.
lancake closed this task as "Unknown Status".
Restricted Application edited projects, added Game Development; removed Issue Navigation. · View Herald TranscriptJan 2 2017, 3:26 PM
lancake reopened this task as "Resolved" by committing Restricted Diffusion Commit.Jan 2 2017, 3:27 PM
Restricted Application edited projects, added Quality Assurance; removed Game Development. · View Herald TranscriptJan 2 2017, 3:27 PM
lancake closed this task as "Closed".Feb 7 2017, 3:10 PM

-QA Testing-

Tested that before but forgot to close it.

Restricted Application removed a project: Quality Assurance. · View Herald TranscriptFeb 7 2017, 3:10 PM
Restricted Application added a project: Logic. · View Herald TranscriptFri, Mar 10, 6:06 PM